aboutsummaryrefslogtreecommitdiff
path: root/network/msmtp
diff options
context:
space:
mode:
Diffstat (limited to 'network/msmtp')
-rwxr-xr-xnetwork/msmtp/msmtp.SlackBuild97
1 files changed, 97 insertions, 0 deletions
diff --git a/network/msmtp/msmtp.SlackBuild b/network/msmtp/msmtp.SlackBuild
new file mode 100755
index 0000000..2ab83f4
--- /dev/null
+++ b/network/msmtp/msmtp.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=msmtp
+VERSION=1.4.13
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.bz2
+REPOSITORY=http://belnet.dl.sourceforge.net/sourceforge/msmtp
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar jxvf $CWD/$ARCHIVE
+cd $NAME-$VERSION
+CFLAGS=$FLAGS CXXFLAGS=$FLAGS ./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --sysconfdir=/etc \
+ --with-ssl=openssl
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION $PKG/etc
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+msmtp: msmtp
+msmtp:
+msmtp: Msmtp is an SMTP client.
+msmtp:
+msmtp:
+msmtp:
+msmtp:
+msmtp:
+msmtp:
+msmtp:
+msmtp:
+EOF
+
+cat > $PKG/install/slack-required <<EOF
+openssl-solibs >= 0.9.8e-i486-1
+libidn >= 0.6.9-i486-1
+libgsasl >= 0.2.19-i486-1
+EOF
+
+install -m644 -g0 -o0 AUTHORS ChangeLog NEWS README THANKS doc/Mutt+msmtp.txt \
+ doc/msmtp.html doc/msmtp.pdf doc/msmtprc-user.example \
+ $PKG/usr/doc/$NAME-$VERSION
+
+gzip -9nf \
+ $PKG/usr/doc/$NAME-$VERSION/ChangeLog \
+ $PKG/usr/doc/$NAME-$VERSION/NEWS \
+ $PKG/usr/doc/$NAME-$VERSION/msmtp.html \
+ $PKG/usr/doc/$NAME-$VERSION/msmtp.pdf
+
+install -m600 -g0 -o0 doc/msmtprc-system.example $PKG/etc/msmtprc.sample
+
+chmod 444 $PKG/usr/man/man?/*.?
+gzip -9nf $PKG/usr/man/man?/*.?
+
+rm -f $PKG/usr/info/dir
+gzip -9nf $PKG/usr/info/*.info*
+
+strip $PKG/usr/bin/* || :
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz